Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcbase
Class XMLFactory

    java.lang.Object
      org.deegree.ogcbase.XMLFactory

Direct Known Subclasses:
  XMLFactory, XMLFactory, XMLFactory, XMLFactory, XMLFactory, XMLFactory

    public class XMLFactory

extends Object

Factory for creating `DOM` representations from java objects used to represent OGC related schema types.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Markus Schneider , last edited by: $Author: mschneider $

Field Summary
`protected static URI` | `GMLNS`
`protected static ILogger` | `LOG`
`protected static URI` | `OGCNS`
`protected static URI` | `XLNNS`

Constructor Summary
`XMLFactory()`

Method Summary
`protected static void` | `appendCodeList(Element xmlNode, CodeList codeList, URI namespaceURI)` Appends an `XML` representation of the passed `CodeList` to the passed `Element`.
`protected static void` | `appendEnvelope(Element xmlNode, Envelope envelope)` Appends an `XML/GML Envelope` -element to the passed `Element`.
`protected static void` | `appendFeatureId(Element root, String fid)` Appends the `DOM` representation of the given feature id to the given element.
`protected static void` | `appendGeometry(Element el, Geometry geom)` Appends the `DOM` representation of the given `Geometry` to the given element.
`protected static void` | `appendInterval(Element xmlNode, Interval interval, URI namespaceURI)` Appends an `XML` representation of the passed `Interval` to the passed `Element`.
`protected static void` | `appendKeywords(Element xmlNode, Keywords[] keywords, URI namespaceURI)` Appends a `keywords` -element for each `Keywords` object of the passed array to the passed `Element`.
`protected static void` | `appendKeywords(Element xmlNode, Keywords keywords, URI namespaceURI)` Appends a `keywords` -element to the passed `Element` and fills it with the available keywords.
`protected static void` | `appendLonLatEnvelope(Element root, LonLatEnvelope lonLatEnvelope, URI namespaceURI)` Appends the `DOM` representation of a `LonLatEnvelope` to the passed `Element`.
`protected static void` | `appendOnlineResource(Element xmlNode, String elementName, OnlineResource onlineResource, URI namespaceURI)` Appends the `DOM` representation of a simple `XLink` -element to the passed `Element`.
`protected static void` | `appendPropertyPath(Element element, PropertyPath propertyPath)` Appends the `DOM` representation of the given `PropertyPath` as a new text node to the given element (including necessary namespace bindings).
`protected static void` | `appendSimpleLinkAttributes(Element linkElement, SimpleLink simpleLink)` Appends the XML attributes of the given `SimpleLink` to the also passed `Element`.
`protected static void` | `appendTemporalDomain(Element xmlNode, TimeSequence timeSeq, URI namespaceURI)` Appends an `XML` representation of the passed `TimeSequence` to the passed `Element`.
`protected static void` | `appendTimePeriod(Element xmlNode, TimePeriod tPeriod, URI namespaceURI)` Appends an `XML` representation of the passed `TimePeriod` to the passed `Element`.
`protected static void` | `appendTimePosition(Element xmlNode, TimePosition tpos)` Appends the `XML/GML` representation of a `TimePosition` to the passed `Element`.
`protected static void` | `appendTimeResolution(Element xmlNode, TimeDuration duration)` Appends an `XML/GML` representation of the passed `TimeDuration` to the passed `Element`.
`protected static void` | `appendTypedLiteral(Element xmlNode, TypedLiteral singleValue, String name, URI namespaceURI)` Appends an `XML` representation of the passed `TypedLiteral` to the passed `Element`.
`protected static void` | `appendValues(Element xmlNode, Values values, URI namespaceURI)` Appends an `XML` representation of the passed `Values` to the passed `Element`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    protected static final ILogger LOG

### OGCNS

    protected static final URI OGCNS

### GMLNS

    protected static final URI GMLNS

### XLNNS

    protected static final URI XLNNS

Constructor Detail

### XMLFactory

    public XMLFactory()

Method Detail

### appendLonLatEnvelope

    protected static void appendLonLatEnvelope(Element root,
                                               LonLatEnvelope lonLatEnvelope,
                                               URI namespaceURI)

  Appends the `DOM` representation of a `LonLatEnvelope` to the passed `Element`.

  Parameters:
    `root` -
    `lonLatEnvelope` -
    `namespaceURI` -

### appendEnvelope

    protected static void appendEnvelope(Element xmlNode,
                                         Envelope envelope)

  Appends an `XML/GML Envelope` -element to the passed `Element`.

  Parameters:
    `xmlNode` -
    `envelope` -

### appendTimePosition

    protected static void appendTimePosition(Element xmlNode,
                                             TimePosition tpos)

  Appends the `XML/GML` representation of a `TimePosition` to the passed `Element`.

  Parameters:
    `xmlNode` -
    `tpos` -

### appendKeywords

    protected static void appendKeywords(Element xmlNode,
                                         Keywords[] keywords,
                                         URI namespaceURI)

  Appends a `keywords` -element for each `Keywords` object of the passed array to the passed `Element`.

  Parameters:
    `xmlNode` -
    `keywords` -
    `namespaceURI` -

### appendKeywords

    protected static void appendKeywords(Element xmlNode,
                                         Keywords keywords,
                                         URI namespaceURI)

  Appends a `keywords` -element to the passed `Element` and fills it with the available keywords.

  Parameters:
    `xmlNode` -
    `keywords` -
    `namespaceURI` -

### appendTemporalDomain

    protected static void appendTemporalDomain(Element xmlNode,
                                               TimeSequence timeSeq,
                                               URI namespaceURI)

  Appends an `XML` representation of the passed `TimeSequence` to the passed `Element`.

  Parameters:
    `xmlNode` -
    `timeSeq` -
    `namespaceURI` -

### appendTimePeriod

    protected static void appendTimePeriod(Element xmlNode,
                                           TimePeriod tPeriod,
                                           URI namespaceURI)

  Appends an `XML` representation of the passed `TimePeriod` to the passed `Element`.

  Parameters:
    `xmlNode` -
    `tPeriod` -
    `namespaceURI` -

### appendTimeResolution

    protected static void appendTimeResolution(Element xmlNode,
                                               TimeDuration duration)

  Appends an `XML/GML` representation of the passed `TimeDuration` to the passed `Element`.

  Parameters:
    `xmlNode` -
    `duration` -

### appendValues

    protected static void appendValues(Element xmlNode,
                                       Values values,
                                       URI namespaceURI)

  Appends an `XML` representation of the passed `Values` to the passed `Element`.

  Parameters:
    `xmlNode` -
    `values` -
    `namespaceURI` -

### appendInterval

    protected static void appendInterval(Element xmlNode,
                                         Interval interval,
                                         URI namespaceURI)

  Appends an `XML` representation of the passed `Interval` to the passed `Element`.

  Parameters:
    `xmlNode` -
    `interval` -
    `namespaceURI` -

### appendTypedLiteral

    protected static void appendTypedLiteral(Element xmlNode,
                                             TypedLiteral singleValue,
                                             String name,
                                             URI namespaceURI)

  Appends an `XML` representation of the passed `TypedLiteral` to the passed `Element`.

  Parameters:
    `xmlNode` -
    `singleValue` -
    `name` -
    `namespaceURI` -

### appendCodeList

    protected static void appendCodeList(Element xmlNode,
                                         CodeList codeList,
                                         URI namespaceURI)

  Appends an `XML` representation of the passed `CodeList` to the passed `Element`.

  Parameters:
    `xmlNode` -
    `codeList` -
    `namespaceURI` -

### appendSimpleLinkAttributes

    protected static void appendSimpleLinkAttributes(Element linkElement,
                                                     SimpleLink simpleLink)

  Appends the XML attributes of the given `SimpleLink` to the also passed `Element`.

  Parameters:
    `linkElement` -
    `simpleLink` -

### appendOnlineResource

    protected static void appendOnlineResource(Element xmlNode,
                                               String elementName,
                                               OnlineResource onlineResource,
                                               URI namespaceURI)

  Appends the `DOM` representation of a simple `XLink` -element to the passed `Element`.

  Parameters:
    `xmlNode` -
    `elementName` -
    `onlineResource` -
    `namespaceURI` -

### appendPropertyPath

    protected static void appendPropertyPath(Element element,
                                             PropertyPath propertyPath)

  Appends the `DOM` representation of the given `PropertyPath` as a new text node to the given element (including necessary namespace bindings).

  Parameters:
    `element` - Element node where the PropertyPath is appended to
    `propertyPath` -

### appendFeatureId

    protected static void appendFeatureId(Element root,
                                          String fid)

  Appends the `DOM` representation of the given feature id to the given element.

  Parameters:
    `root` - Element node where the "ogc:FeatureId" element is appended to
    `fid` - feature identifier

### appendGeometry

    protected static void appendGeometry(Element el,
                                         Geometry geom)
                                  throws GeometryException

  Appends the `DOM` representation of the given `Geometry` to the given element. TODO Do this a better way...

  Parameters:
    `el` - element node where the geometry is appended to
    `geom` - geometry to be appended
  Throws:
    `GeometryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org